Bug 436416 - Terminate process with Delete key
Summary: Terminate process with Delete key
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-30 18:50 UTC by Kai Uwe Broulik
Modified: 2021-05-19 18:30 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2021-04-30 18:50:38 UTC
SUMMARY
In old KSysguard it's possible to hit Delete key to end a process/application. The same should be possible in the new one

STEPS TO REPRODUCE
1. Select a process from the list
2. Hit Delete

OBSERVED RESULT
Nothing happens

EXPECTED RESULT
A prompt whether I want to terminate the process should appear, which I can then also accept by hitting Return

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: git master 2021-04-26
Comment 1 Nate Graham 2021-05-03 19:58:23 UTC
Yeah.
Comment 2 Bug Janitor Service 2021-05-18 17:49:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-systemmonitor/-/merge_requests/132
Comment 3 Kai Uwe Broulik 2021-05-19 15:53:46 UTC
Git commit e13a2badb569912715b15f7c5203ec2ab4621280 by Kai Uwe Broulik.
Committed on 19/05/2021 at 15:53.
Pushed by broulik into branch 'master'.

Terminate process when pressing Delete

Matches what the old KSysguard does
FIXED-IN: 5.23.0

M  +7    -0    src/faces/applicationstable/contents/ui/FullRepresentation.qml
M  +7    -0    src/faces/processtable/contents/ui/FullRepresentation.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/e13a2badb569912715b15f7c5203ec2ab4621280
Comment 4 Kai Uwe Broulik 2021-05-19 15:54:09 UTC
Git commit 013691208e259a7a494634dfcbc1023268f73584 by Kai Uwe Broulik.
Committed on 19/05/2021 at 15:54.
Pushed by broulik into branch 'cherry-pick-e13a2bad'.

Terminate process when pressing Delete

Matches what the old KSysguard does
FIXED-IN: 5.23.0


(cherry picked from commit e13a2badb569912715b15f7c5203ec2ab4621280)

M  +7    -0    src/faces/applicationstable/contents/ui/FullRepresentation.qml
M  +7    -0    src/faces/processtable/contents/ui/FullRepresentation.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/013691208e259a7a494634dfcbc1023268f73584
Comment 5 Kai Uwe Broulik 2021-05-19 15:54:38 UTC
Git commit e09ef34f75bb2dec52cb5bb3d16fd0ba5ed96541 by Kai Uwe Broulik.
Committed on 19/05/2021 at 15:54.
Pushed by broulik into branch 'Plasma/5.22'.

Terminate process when pressing Delete

Matches what the old KSysguard does
FIXED-IN: 5.23.0


(cherry picked from commit e13a2badb569912715b15f7c5203ec2ab4621280)

M  +7    -0    src/faces/applicationstable/contents/ui/FullRepresentation.qml
M  +7    -0    src/faces/processtable/contents/ui/FullRepresentation.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/e09ef34f75bb2dec52cb5bb3d16fd0ba5ed96541